Bug 445642 - add ia64 support for livecd-tools
add ia64 support for livecd-tools
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
9
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-05-08 05:04 EDT by Zhan, Yi
Modified: 2008-10-15 12:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 12:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add ia64 support for livecd-tools (5.12 KB, patch)
2008-05-08 05:04 EDT, Zhan, Yi
no flags Details | Diff

  None (edit)
Description Zhan, Yi 2008-05-08 05:04:19 EDT
Description of problem:

Hi, 

I have written a patch for livecd-tools to add ia64 support. The generated image
has been tested on several ia64 boxes. Everything worked fine (haven't test
installing from it yet). The patch is attached. 

Since I am not very familiar with livecd project. What I have done is just
writing a ia64LiveImageCreator subclass for ia64, as x86 does. Then implement
necessary functions. Please review the patch to see if anything is missing or
inappropriate. I'm happy to try things out if you have no easy access to ia64
boxes. 

Thanks, 
Yi

Version-Release number of selected component (if applicable):
livecd-tools-017-1.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zhan, Yi 2008-05-08 05:04:19 EDT
Created attachment 304845 [details]
add ia64 support for livecd-tools
Comment 2 Bug Zapper 2008-05-14 06:49:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-05-14 10:43:48 EDT
It's a lot easier to do patch reviews and handling on the list
(fedora-livecd-list) rather than via bugzilla, especially for something substantial.

Just from a quick look, the patch needs at least some work to really be apply-able
* Rather than overriding the __get_kernel_versions() method, it'd be better to
just make the main method more flexible to work with both the ia64 and not case
* The copy_background stuff seems superfluous since it never gets used
* Your copying and bootloader config generation don't support multiple kernels
which is something that we generally support

Nothing else really jumped out at me but others on the list might notice something
Comment 5 Jeremy Katz 2008-10-15 12:02:22 EDT
Closing due to inactivity and lack of patch submission to fedora-livecd-list

Note You need to log in before you can comment on or make changes to this bug.